<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateReturningsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: returnings
         */
        Schema::create('returnings', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 200)->nullable();
            $table->integer('order_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->string('product', 255)->nullable();
            $table->string('model', 255)->nullable();
            $table->integer('quantity')->nullable();
            $table->enum('opened', ['Yes','No'])->nullable();
            $table->enum('return_action', ['Credit Issued','Refunded','Replacement Sent'])->nullable();
            $table->enum('status', ['Awaiting','Complete','Pending'])->nullable();
            $table->text('comment')->nullable();
            $table->timestamp('date_ordered')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('returnings');
    }
}
