<?php

namespace Shopping\Returning\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Returning policy
        'Shopping\Returning\Models\Returning' => \Shopping\Returning\Policies\ReturningPolicy::class,
// Bind Reason policy
        'Shopping\Returning\Models\Reason' => \Shopping\Returning\Policies\ReasonPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
