<?php

namespace Shopping\Returning\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReasonTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Returning\Models\Reason $reason)
    {
        return [
            'id'                => $reason->getRouteKey(),
            'key'               => [
                'public'    => $reason->getPublicKey(),
                'route'     => $reason->getRouteKey(),
            ], 
            'id'                => $reason->id,
            'reason'            => $reason->reason,
            'return_id'         => $reason->return_id,
            'created_at'        => $reason->created_at,
            'updated_at'        => $reason->updated_at,
            'deleted_at'        => $reason->deleted_at,
            'url'               => [
                'public'    => trans_url('returning/'.$reason->getPublicKey()),
                'user'      => guard_url('returning/reason/'.$reason->getRouteKey()),
            ], 
            'status'            => trans('app.'.$reason->status),
            'created_at'        => format_date($reason->created_at),
            'updated_at'        => format_date($reason->updated_at),
        ];
    }
}