<?php

namespace Shopping\Returning\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReturningTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Returning\Models\Returning $returning)
    {
        return [
            'id'                => $returning->getRouteKey(),
            'key'               => [
                'public'    => $returning->getPublicKey(),
                'route'     => $returning->getRouteKey(),
            ], 
            'id'                => $returning->id,
            'user_id'           => $returning->user_id,
            'user_type'         => $returning->user_type,
            'order_id'          => $returning->order_id,
            'product_id'        => $returning->product_id,
            'product'           => $returning->product,
            'model'             => $returning->model,
            'quantity'          => $returning->quantity,
            'opened'            => $returning->opened,
            'return_action'     => $returning->return_action,
            'status'            => $returning->status,
            'comment'           => $returning->comment,
            'date_ordered'      => $returning->date_ordered,
            'created_at'        => $returning->created_at,
            'updated_at'        => $returning->updated_at,
            'deleted_at'        => $returning->deleted_at,
            'url'               => [
                'public'    => trans_url('returning/'.$returning->getPublicKey()),
                'user'      => guard_url('returning/returning/'.$returning->getRouteKey()),
            ], 
            'status'            => trans('app.'.$returning->status),
            'created_at'        => format_date($returning->created_at),
            'updated_at'        => format_date($returning->updated_at),
        ];
    }
}