<?php

namespace Shopping\Returning;

use User;

class Returning
{
    /**
     * $returning object.
     */
    protected $returning;
    /**
     * $reason object.
     */
    protected $reason;

    /**
     * Constructor.
     */
    public function __construct(\Shopping\Returning\Interfaces\ReturningRepositoryInterface $returning,
        \Shopping\Returning\Interfaces\ReasonRepositoryInterface $reason)
    {
        $this->returning = $returning;
        $this->reason = $reason;
    }

    /**
     * Returns count of returning.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.returning.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->returning->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\ReturningUserCriteria());
        }

        $returning = $this->returning->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('returning::' . $view, compact('returning'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.reason.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->reason->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\ReasonUserCriteria());
        }

        $reason = $this->reason->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('returning::' . $view, compact('reason'))->render();
    }
}
